toc:
- title: Reducing Network Battery Drain
  path: /topic/performance/power/network/index.html
  path_attributes:
  - name: description
    value: Access the network while going easy on battery life.
  section:
  - title: Collecting Network Traffic Data
    path: /topic/performance/power/network/gather-data.html
  - title: Analyzing Network Traffic Data
    path: /topic/performance/power/network/analyze-data.html
  - title: Optimizing User-Initiated Network Use
    path: /topic/performance/power/network/action-user-traffic.html
  - title: Optimizing Server-Initiated Network Use
    path: /topic/performance/power/network/action-server-traffic.html
  - title: Optimizing General Network Use
    path: /topic/performance/power/network/action-any-traffic.html
- title: Implementing Doze
  path: /training/monitoring-device-state/doze-standby.html
  path_attributes:
  - name: description
    value: Help ensure the device isn't depleting the battery when not in use.
- title: Launch-Time Performance
  path: /topic/performance/launch-time.html
- title: Better Performance through Threading
  path: /topic/performance/threads.html
- title: Optimizing View Hierarchies
  path: /topic/performance/optimizing-view-hierarchies.html
- title: Background Optimization
  path: /topic/performance/background-optimization.html
- title: Intelligent Job-Scheduling
  path: /topic/performance/scheduling.html
- title: Reducing APK Size
  path: /topic/performance/reduce-apk-size.html
